ExceptionUtil (HttpClient 3.1 API)
Keywords: org.apache.commons.httpclient.util.ExceptionUtil class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.httpclient.util
Class ExceptionUtil

    java.lang.Object
      org.apache.commons.httpclient.util.ExceptionUtil

    public class ExceptionUtil

extends Object

The home for utility methods that handle various exception-related tasks.

Since:
  3.0
Author:
  Oleg Kalnichevski, Laura Werner

Constructor Summary
`ExceptionUtil()`

Method Summary
`static void` | `initCause(Throwable throwable, Throwable cause)` If we're running on JDK 1.4 or later, initialize the cause for the given throwable.
`static boolean` | `isSocketTimeoutException(InterruptedIOException e)` If SocketTimeoutExceptionClass is defined, returns `true` only if the exception is an instance of SocketTimeoutExceptionClass.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExceptionUtil

    public ExceptionUtil()

Method Detail

### initCause

    public static void initCause(Throwable throwable,
                                 Throwable cause)

  If we're running on JDK 1.4 or later, initialize the cause for the given throwable.

  Parameters:
    `throwable` - The throwable.
    `cause` - The cause of the throwable.

### isSocketTimeoutException

    public static boolean isSocketTimeoutException(InterruptedIOException e)

  If SocketTimeoutExceptionClass is defined, returns `true` only if the exception is an instance of SocketTimeoutExceptionClass. If SocketTimeoutExceptionClass is undefined, always returns `true`.

  Parameters:
    `e` - an instance of InterruptedIOException class.
  Returns:
    `true` if the exception signals socket timeout, `false` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Software Foundation. All Rights Reserved.